---@meta

---@class UWBP_HUD_MenuPopUp_C : UB1GameMenuWidget
---@field UberGraphFrame FPointerToUberGraphFrame
---@field Anim_Open UWidgetAnimation
---@field Button_FacialCapture UWBP_Common_Button_C
---@field Button_FacialCaptureDisconnect UWBP_Common_Button_C
---@field Button_Optional_Close UB1Button
---@field Image_BG UB1Image
---@field image_close UB1Image
---@field Image_Overlay UB1Image
---@field Text_Title UB1TextBlock
---@field NewVar FColor
local UWBP_HUD_MenuPopUp_C = {}

function UWBP_HUD_MenuPopUp_C:BndEvt__WBP_HUD_MenuPopUp_Button_Save_K2Node_ComponentBoundEvent_0_CommonButtonOnClickedEvent__DelegateSignature() end
function UWBP_HUD_MenuPopUp_C:BndEvt__WBP_HUD_MenuPopUp_Button_SaveAs_K2Node_ComponentBoundEvent_1_CommonButtonOnClickedEvent__DelegateSignature() end
function UWBP_HUD_MenuPopUp_C:BndEvt__WBP_HUD_MenuPopUp_Button_Option_K2Node_ComponentBoundEvent_2_CommonButtonOnClickedEvent__DelegateSignature() end
function UWBP_HUD_MenuPopUp_C:BndEvt__WBP_HUD_MenuPopUp_Button_UICustomizeReset_K2Node_ComponentBoundEvent_3_CommonButtonOnClickedEvent__DelegateSignature() end
function UWBP_HUD_MenuPopUp_C:BndEvt__WBP_HUD_MenuPopUp_Button_StartScreen_K2Node_ComponentBoundEvent_4_CommonButtonOnClickedEvent__DelegateSignature() end
function UWBP_HUD_MenuPopUp_C:BndEvt__WBP_HUD_MenuPopUp_Button_Quit_K2Node_ComponentBoundEvent_5_CommonButtonOnClickedEvent__DelegateSignature() end
function UWBP_HUD_MenuPopUp_C:BndEvt__WBP_HUD_MenuPopUp_Button_Optional_Close_K2Node_ComponentBoundEvent_6_OnButtonClickedEvent__DelegateSignature() end
function UWBP_HUD_MenuPopUp_C:BndEvt__WBP_HUD_MenuPopUp_Button_FacialCapture_K2Node_ComponentBoundEvent_7_CommonButtonOnClickedEvent__DelegateSignature() end
function UWBP_HUD_MenuPopUp_C:BndEvt__WBP_HUD_MenuPopUp_Button_FacialCaptureDisconnect_K2Node_ComponentBoundEvent_8_CommonButtonOnClickedEvent__DelegateSignature() end
function UWBP_HUD_MenuPopUp_C:Refresh() end
function UWBP_HUD_MenuPopUp_C:BndEvt__WBP_HUD_MenuPopUp_Button_KeyGuide_K2Node_ComponentBoundEvent_9_CommonButtonOnClickedEvent__DelegateSignature() end
function UWBP_HUD_MenuPopUp_C:BndEvt__WBP_HUD_MenuPopUp_Button_Gallery_K2Node_ComponentBoundEvent_10_CommonButtonOnClickedEvent__DelegateSignature() end
function UWBP_HUD_MenuPopUp_C:BndEvt__WBP_HUD_MenuPopUp_Button_Load_K2Node_ComponentBoundEvent_11_CommonButtonOnClickedEvent__DelegateSignature() end
---@param EntryPoint int32
function UWBP_HUD_MenuPopUp_C:ExecuteUbergraph_WBP_HUD_MenuPopUp(EntryPoint) end


